lua-lgi-compat-0.9.2-2.fc29.x86_64.rpm


Advertisement

Description

lua-lgi-compat - Lua bindings to GObject libraries for Lua 5.1

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package name lua-lgi-compat
Package version 0.9.2
Package release 2.fc29
Package architecture x86_64
Package type rpm
Installed size 296.92 KB
Download size 96.98 KB
Official Mirror download-ib01.fedoraproject.org
LGI is gobject-introspection based dynamic Lua binding to GObject
based libraries. It allows using GObject-based libraries directly from
Lua.

Alternatives

Package Version Architecture Repository
lua-lgi-compat-0.9.2-4.fc29.i686.rpm 0.9.2 i686 Fedora Updates Testing
lua-lgi-compat-0.9.2-4.fc29.x86_64.rpm 0.9.2 x86_64 Fedora Updates Testing
lua-lgi-compat-0.9.2-2.fc29.i686.rpm 0.9.2 i686 Fedora
lua-lgi-compat - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libffi.so.6()(64bit) -
libgirepository-1.0.so.1()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libpthread.so.0()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
lua-lgi-compat = 0.9.2-2.fc29
lua-lgi-compat(x86-64) = 0.9.2-2.fc29

Download

Type URL
Binary Package lua-lgi-compat-0.9.2-2.fc29.x86_64.rpm
Source Package lua-lgi-0.9.2-2.fc29.src.rpm

Install Howto

Install lua-lgi-compat rpm package:

# dnf install lua-lgi-compat

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/e1/c7ba41c0fa9e59426c24dbd89ed499af70dbd9
/usr/lib64/lua/5.1/lgi/corelgilua51.so
/usr/share/licenses/lua-lgi-compat/LICENSE
/usr/share/lua/5.1/lgi.lua
/usr/share/lua/5.1/lgi/class.lua
/usr/share/lua/5.1/lgi/component.lua
/usr/share/lua/5.1/lgi/core.lua
/usr/share/lua/5.1/lgi/enum.lua
/usr/share/lua/5.1/lgi/ffi.lua
/usr/share/lua/5.1/lgi/init.lua
/usr/share/lua/5.1/lgi/log.lua
/usr/share/lua/5.1/lgi/namespace.lua
/usr/share/lua/5.1/lgi/package.lua
/usr/share/lua/5.1/lgi/record.lua
/usr/share/lua/5.1/lgi/version.lua
/usr/share/lua/5.1/lgi/override/Clutter.lua
/usr/share/lua/5.1/lgi/override/GLib-Bytes.lua
/usr/share/lua/5.1/lgi/override/GLib-Error.lua
/usr/share/lua/5.1/lgi/override/GLib-Markup.lua
/usr/share/lua/5.1/lgi/override/GLib-Source.lua
/usr/share/lua/5.1/lgi/override/GLib-Timer.lua
/usr/share/lua/5.1/lgi/override/GLib-Variant.lua
/usr/share/lua/5.1/lgi/override/GLib.lua
/usr/share/lua/5.1/lgi/override/GObject-Closure.lua
/usr/share/lua/5.1/lgi/override/GObject-Object.lua
/usr/share/lua/5.1/lgi/override/GObject-Type.lua
/usr/share/lua/5.1/lgi/override/GObject-Value.lua
/usr/share/lua/5.1/lgi/override/Gdk.lua
/usr/share/lua/5.1/lgi/override/Gio-DBus.lua
/usr/share/lua/5.1/lgi/override/Gio.lua
/usr/share/lua/5.1/lgi/override/GooCanvas.lua
/usr/share/lua/5.1/lgi/override/Gst.lua
/usr/share/lua/5.1/lgi/override/Gtk.lua
/usr/share/lua/5.1/lgi/override/Pango.lua
/usr/share/lua/5.1/lgi/override/PangoCairo.lua
/usr/share/lua/5.1/lgi/override/cairo.lua

Changelog

See lua-lgi-0.9.2-2.fc29.x86_64.rpm changelog.

See Also

Package Description
lua-lgi-samples-0.9.2-2.fc29.x86_64.rpm Examples of lua-lgi usage
lua-librs232-1.0.3-5.20171229git21ecc3c.fc29.x86_64.rpm Lua bindings for librs232
lua-libs-5.3.5-2.fc29.i686.rpm Libraries for lua
lua-libs-5.3.5-2.fc29.x86_64.rpm Libraries for lua
lua-logging-1.3.0-12.fc29.noarch.rpm A simple API to use logging features in Lua
lua-loop-2.3-0.15.beta.fc29.noarch.rpm Class models for Lua
lua-loop-doc-2.3-0.15.beta.fc29.noarch.rpm Documentation for lua-loop
lua-lpeg-1.0.1-6.fc29.x86_64.rpm Parsing Expression Grammars for Lua
lua-lunit-0.5-14.fc29.noarch.rpm Unit testing framework for Lua
lua-lxc-3.0.2-1.fc29.x86_64.rpm Lua binding for LXC
lua-markdown-0.32-12.fc29.noarch.rpm Markdown module for Lua
lua-md5-1.1.2-18.fc29.x86_64.rpm Cryptographic Library for MD5 hashes for Lua
lua-moonscript-0.5.0-1.fc29.noarch.rpm A little language that compiles to Lua
lua-mosquitto-0.2-4.fc29.x86_64.rpm Lua bindings to libmosquitto
lua-mpack-1.0.7-3.fc29.x86_64.rpm Implementation of MessagePack for Lua
Advertisement
Advertisement